Bug 54585 - Cannot reload lpd on adding BJC2000 Printer
Summary: Cannot reload lpd on adding BJC2000 Printer
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-13 01:32 UTC by amitabha
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 14:31:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description amitabha 2001-10-13 01:32:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4+) Gecko/20011007

Description of problem:
Installer adds BJC 2000 printer correctly.
On clicking apply, it attempts to restart lpd
and spews the following error message:
 Traceback (innermost last):
  File "/usr/sbin/printconf-backend", line 203, in ?
    if switchboard.isNamespaceDirty('printconf'):
  File "/usr/lib/python1.5/site-packages/Alchemist.py", line 838, in
isNamespaceDirty
    cversion = cache.version()
  File "/usr/lib/python1.5/site-packages/CacheBlackBox.py", line 120, in
version    vlist = VersionList(self.cache_dir, self.template)
  File "/usr/lib/python1.5/site-packages/CacheBlackBox.py", line 16, in
VersionList
    for file in os.listdir(cache_dir):
OSError: [Errno 2] No such file or directory


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start printtool
2.Add a BJC 2000 printer
3.Click apply
	

Actual Results:   Error messages, cannot restart lpd

Additional info:

Comment 1 Tim Waugh 2002-01-10 15:20:22 UTC
Are you using printconf-0.2.15-2? ('rpm -q printconf')


Comment 2 Tim Waugh 2003-11-05 14:31:30 UTC
No feedback; closing.


Note You need to log in before you can comment on or make changes to this bug.